%define name kupfer
%define version 2.0.8
%define oversion 208
%define release %mkrel 2

Summary: Kupfer is a application launcher for Gnome
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPLv3
Group:	 Graphical desktop/GNOME
URL:	 http://kaizer.se/wiki/kupfer/
Source0: https://git.gnome.org/browse/kupfer/%name-%{oversion}.tar.xz
Source1: %{name}-source.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: python-keyring
BuildRequires: intltool 
BuildRequires: python-keybinder 
BuildRequires: pygtk2.0 
BuildRequires: gnome-python
BuildRequires: pyxdg
BuildRequires: python-dbus
BuildRequires: python-gobject
BuildArch: noarch  
Requires:  python >= 2.7
Requires:  python-keybinder
Requires:  python-keyring
Requires:  pygtk2.0
Requires:  pyxdg
Requires:  python-dbus
Requires:  gnome-python
Obsoletes: %name-pandoras-box


%description
Kupfer is a summoner/launcher in the style of Quıcĸsılⅴεʀ; you do not 
use it to search your files, you use it to summon the object you are 
thinking about. Kupfer can right now summon Applications, Recent Files 
and Places, your chosen folders and their contents, Bookmarks, Windows 
and Gnu Screen sessions. 

%description -l de
Kupfer ist ein Lader/Launcher im Stil der Quıcĸsılⅴeʀ; nicht zum verwenden,
um Dateien zu suchen, sondern Objekte zu laden. Kupfer kann jetzt Anwendungen,
neueste Dateien und Orte aufrufen, sowie von Ihnen gewählten Ordner und deren 
Inhalte, Lesezeichen, Windows und GNU screen-Sitzungen. 

%prep

%setup -q -n %name-%{oversion}


%build
./waf configure --prefix=$PREFIX --no-runtime-deps 

./waf install
%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/usr
cp -af share $RPM_BUILD_ROOT/usr
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
unxz -c %SOURCE1 | tar xf - -C $RPM_BUILD_ROOT%{_bindir}

%find_lang %{name}

%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Kupfer
GenericName=Application Launcher
GenericName[de]=Programmstarter
Comment=Command access tool for applications and documents
Comment[de]=Werkzeug zum Zugriff auf Programme und Dokumente
Icon=%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
Exec=%{name}
Type=Application
Categories=GNOME;Utility;X-MandrivaLinux-System-FileTools;
ServiceTypes=text/x-kfcom
StartupNotify=true
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}

sleep 20
%files -f %{name}.lang
%doc README.rst COPYING NEWS
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/%{name}-exec
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-exec.desktop
%{_datadir}/%{name}
%{_datadir}/gnome/*
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%exclude %{_datadir}/icons/hicolor/icon-theme.cache
%{_datadir}/applications/mimeinfo.cache
%{_datadir}/mime/*
%{_datadir}/Thunar/sendto/%{name}.desktop
%{_datadir}/man/man1/kupfer.1.*

%changelog
* Sat Aug 17 2013 billybot <billybot> 2.0.8-2pclos2013
- update python 2.7

* Sun Apr 29 2013 Ken <lxgator at gmail dot com> 208-1pclos2013
- 208

* Tue Mar 13 2012 Neal <nealbrks0 at gmail dot com> v207-1pclos2012
- process

* Sun Mar 11 2012 ghostbunny <hmhaase at pclinuxosusers dot de> v207-1pclos2012
- 207
- added %{oversion} macro
- added german comment, genericname in desktop file section
- comments in file section
- added Thunar in file section
- comment icon install
- added BuildRequires: python-gobject

* Fri Nov 19 2010 Slavisa Milojkovic .root@linuxgator.org> v203-1slax2010
- updated to v203

* Sat Apr 03 2010 slick50 <lxgator@gmail.com> 1.1-2pclos2010
- rebuild

* Tue Feb 16 2010 slick50 <lxgator@gmail.com> 1.1-1pclos2010
- 1.1

* Sun Nov 22 2009 slick50 <lxgator@gmail.com> c18.1-1pclos2010
- c18.1

* Sun Oct 25 2009 slick50 <lxgator@gmail.com> c17-1pclos2010
- c17

* Wed Sep 16 2009 slick50 <lxgator@gmail.com> c15-1pclos2009
- c15

* Thu Sep 10 2009 slick50 <lxgator@gmail.com> c14.1-1pclos2009
- c14.1

* Sat Aug 29 2009 slick50 <lxgator@gmail.com> c11-1pclos2009
- c11

* Thu Aug 27 2009 slick50 <lxgator@gmail.com> c10-1pclos2009
- c10

* Thu Aug 15 2009 slick50 <lxgator@gmail.com> c9-1pclos2009
- c9

* Thu Aug 13 2009 slick50 <lxgator@gmail.com> c8-1pclos2009
- initial build
